Get AnalyticsAsk AIget https://management-api.wonderpush.com/v1/stats/eventsReturn statistics collected about various events, by event type, platform, campaign, etcQuery ParamsfromDatedateThe oldest date to return statistics for.toDatedateThe newest date to return statistics for. Defaults to now.resolutionstringDefaults to dayEither day or hour. Returns statistics grouped day by day or hour by hour.intervalint32How many days or hours since fromDate or until toDate to return. Maximum 30 days or 24 hours, which is the default.platformsarray of stringsComma-separated list of platforms to return. Accepts @ALL and @EACH.platformsADD stringtypesarray of stringsComma-separated list of event types to return. Accepts @EACH.typesADD stringcampaignIdsarray of stringsComma-separated list of campaignIds to return. Accepts @ALL and @EACH. Use @NONE to select campaign statistics that were not bond to any particular campaignId (aka. null campaignId).campaignIdsADD stringnotificationIdsarray of stringsComma-separated list of notificationIds to return. Accepts @ALL and @EACH. The special value @1 regroups all notifications send directly to a single recipient.notificationIdsADD stringbuttonLabelsarray of stringsComma-separated list of button labels to return. If your button label contains a comma, send your request using a JSON body instead. Accepts @ALL and @EACH.buttonLabelsADD stringformatstringDefaults to jsonEither json or csv.flattenstringOne of counters, platforms, types, campaignIds, notificationIds and buttonLabels. Change the output from a list of counters grouped inside date objects, to list of data points style. See below for more information.flattenPrefixstringTo avoid name clashes when transforming your custom event types into fields you can prefix them. If you give a value ending with a dot, then the JSON output will put the values as subfields of the given field name. See below for more information.addZerobooleanDefaults to falseWhether to ensure that no dates are missing (if no counters inside it are nonzero), and every data point contains the same fields when flattening the output.csvEolstringDefaults to CRLFOne of CR, LF and CRLF. What line ending flavor to use for the CSV output.csvSeparatorstringDefaults to ,What field separator to use. Some tools might expect ;.csvQuotesstringDefaults to "What styles of quotes to use. You can use an empty value to disable quoting string fields, but you might experience corrupted output.Response 200200Updated 10 months ago